
// ATMEL ATTINY45 / ARDUINO
//
//                  +-\/-+
// Ain0 (D 5) PB5  1|    |8  Vcc
// Ain3 (D 3) PB3  2|    |7  PB2 (D 2) Ain1
// Ain2 (D 4) PB4  3|    |6  PB1 (D 1) pwm1
//            GND  4|    |5  PB0 (D 0) pwm0
//                  +----+

#include <TinyWireM.h>

double frequency;

void setup()
{
  digitalWrite (3,HIGH); // Pin auf High - steuert den Mute-Transistor        
  pinMode (3,OUTPUT);    // und auf Ausgang

  TinyWireM.begin();

  frequency = 91.4; //starting frequency
  setFrequency();
  delay(1500);
  digitalWrite (3,LOW); // Pin auf Low

}

void loop()
{

}

void setFrequency()
{
  unsigned int frequencyB;
  unsigned char frequencyH = 0;
  unsigned char frequencyL = 0;
  
  frequencyB = 4 * (frequency * 1000000 + 225000) / 32768; 
  frequencyH = frequencyB >> 8;
  frequencyL = frequencyB & 0XFF;
  TinyWireM.beginTransmission(0x60);   //writing TEA5767
  TinyWireM.send(frequencyH);
  TinyWireM.send(frequencyL);
  TinyWireM.send(0x1A);                // High-Side-Injection, Mono, nur rechts aktiv
  TinyWireM.send((byte)0x1C);          // Quarz 32,768 kHz
  TinyWireM.send((byte)0x00);
  TinyWireM.endTransmission();
  delay(100);  
}

